com.r3corda.contracts.clause / AbstractIssue / <init>

# <init>

`AbstractIssue(sum: List<S>.() -> Amount<Issued<T>>, sumOrZero: List<S>.(Issued<T>) -> Amount<Issued<T>>)`

Standard issue clause for contracts that issue fungible assets.

### Parameters

`S` - the type of contract state which is being issued.
`T` - the token underlying the issued state.
`sum` - function to convert a list of states into an amount of the token. Must error if there are no states in the list.
`sumOrZero` - function to convert a list of states into an amount of the token, and returns zero if there are no states in the list. Takes in an instance of the token definition for constructing the zero amount if needed.